#include "partition.h"
#include <algorithm>
#include <cstdlib>
#include <iostream>
#include <unordered_map>
#include <utility>
using namespace std;

std::vector<int> solve(std::vector<int> A) {
	vector<int> ans;
	for (int i = 0; i < A.size(); i++) {
		ans.push_back(i);
	}
	for (int i = 0; i < A.size() / 2; i++) {
		if (i % 2)
			swap(ans[i], ans[A.size() - i - 1]);
	}
	return ans;
}
